"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var AddTagsToCertificate_1 = require("../model/operations/AddTagsToCertificate");
var AddTagsToCertificateCommand = /** @class */ (function () {
    function AddTagsToCertificateCommand(input) {
        this.input = input;
        this.model = AddTagsToCertificate_1.AddTagsToCertificate;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    AddTagsToCertificateCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return AddTagsToCertificateCommand;
}());
exports.AddTagsToCertificateCommand = AddTagsToCertificateCommand;
//# sourceMappingURL=AddTagsToCertificateCommand.js.map