"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeCertificate_1 = require("../model/operations/DescribeCertificate");
var DescribeCertificateCommand = /** @class */ (function () {
    function DescribeCertificateCommand(input) {
        this.input = input;
        this.model = DescribeCertificate_1.DescribeCertificate;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeCertificateCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeCertificateCommand;
}());
exports.DescribeCertificateCommand = DescribeCertificateCommand;
//# sourceMappingURL=DescribeCertificateCommand.js.map