import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ImportCertificateInput } from "../types/ImportCertificateInput";
import { ImportCertificateOutput } from "../types/ImportCertificateOutput";
import { ACMResolvedConfiguration } from "../ACMConfiguration";
export * from "../types/ImportCertificateInput";
export * from "../types/ImportCertificateOutput";
export * from "../types/ImportCertificateExceptionsUnion";
export declare class ImportCertificateCommand implements __aws_sdk_types.Command<InputTypesUnion, ImportCertificateInput, OutputTypesUnion, ImportCertificateOutput, ACMResolvedConfiguration, Blob> {
    readonly input: ImportCertificateInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ImportCertificateInput, ImportCertificateOutput, Blob>;
    constructor(input: ImportCertificateInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: ACMResolvedConfiguration): __aws_sdk_types.Handler<ImportCertificateInput, ImportCertificateOutput>;
}
