import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ListTagsForCertificateInput } from "../types/ListTagsForCertificateInput";
import { ListTagsForCertificateOutput } from "../types/ListTagsForCertificateOutput";
import { ACMResolvedConfiguration } from "../ACMConfiguration";
export * from "../types/ListTagsForCertificateInput";
export * from "../types/ListTagsForCertificateOutput";
export * from "../types/ListTagsForCertificateExceptionsUnion";
export declare class ListTagsForCertificateCommand implements __aws_sdk_types.Command<InputTypesUnion, ListTagsForCertificateInput, OutputTypesUnion, ListTagsForCertificateOutput, ACMResolvedConfiguration, Blob> {
    readonly input: ListTagsForCertificateInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListTagsForCertificateInput, ListTagsForCertificateOutput, Blob>;
    constructor(input: ListTagsForCertificateInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: ACMResolvedConfiguration): __aws_sdk_types.Handler<ListTagsForCertificateInput, ListTagsForCertificateOutput>;
}
