import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { RemoveTagsFromCertificateInput } from "../types/RemoveTagsFromCertificateInput";
import { RemoveTagsFromCertificateOutput } from "../types/RemoveTagsFromCertificateOutput";
import { ACMResolvedConfiguration } from "../ACMConfiguration";
export * from "../types/RemoveTagsFromCertificateInput";
export * from "../types/RemoveTagsFromCertificateOutput";
export * from "../types/RemoveTagsFromCertificateExceptionsUnion";
export declare class RemoveTagsFromCertificateCommand implements __aws_sdk_types.Command<InputTypesUnion, RemoveTagsFromCertificateInput, OutputTypesUnion, RemoveTagsFromCertificateOutput, ACMResolvedConfiguration, Blob> {
    readonly input: RemoveTagsFromCertificateInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<RemoveTagsFromCertificateInput, RemoveTagsFromCertificateOutput, Blob>;
    constructor(input: RemoveTagsFromCertificateInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: ACMResolvedConfiguration): __aws_sdk_types.Handler<RemoveTagsFromCertificateInput, RemoveTagsFromCertificateOutput>;
}
