"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var UpdateCertificateOptions_1 = require("../model/operations/UpdateCertificateOptions");
var UpdateCertificateOptionsCommand = /** @class */ (function () {
    function UpdateCertificateOptionsCommand(input) {
        this.input = input;
        this.model = UpdateCertificateOptions_1.UpdateCertificateOptions;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    UpdateCertificateOptionsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return UpdateCertificateOptionsCommand;
}());
exports.UpdateCertificateOptionsCommand = UpdateCertificateOptionsCommand;
//# sourceMappingURL=UpdateCertificateOptionsCommand.js.map