"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var AddTagsToCertificateInput_1 = require("../shapes/AddTagsToCertificateInput");
var AddTagsToCertificateOutput_1 = require("../shapes/AddTagsToCertificateOutput");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var InvalidArnException_1 = require("../shapes/InvalidArnException");
var InvalidTagException_1 = require("../shapes/InvalidTagException");
var TooManyTagsException_1 = require("../shapes/TooManyTagsException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.AddTagsToCertificate = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "AddTagsToCertificate",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: AddTagsToCertificateInput_1.AddTagsToCertificateInput
    },
    output: {
        shape: AddTagsToCertificateOutput_1.AddTagsToCertificateOutput
    },
    errors: [
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: InvalidArnException_1.InvalidArnException
        },
        {
            shape: InvalidTagException_1.InvalidTagException
        },
        {
            shape: TooManyTagsException_1.TooManyTagsException
        }
    ]
};
//# sourceMappingURL=AddTagsToCertificate.js.map