"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteCertificateInput_1 = require("../shapes/DeleteCertificateInput");
var DeleteCertificateOutput_1 = require("../shapes/DeleteCertificateOutput");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var ResourceInUseException_1 = require("../shapes/ResourceInUseException");
var InvalidArnException_1 = require("../shapes/InvalidArnException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteCertificate = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteCertificate",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeleteCertificateInput_1.DeleteCertificateInput
    },
    output: {
        shape: DeleteCertificateOutput_1.DeleteCertificateOutput
    },
    errors: [
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: ResourceInUseException_1.ResourceInUseException
        },
        {
            shape: InvalidArnException_1.InvalidArnException
        }
    ]
};
//# sourceMappingURL=DeleteCertificate.js.map