"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeCertificateInput_1 = require("../shapes/DescribeCertificateInput");
var DescribeCertificateOutput_1 = require("../shapes/DescribeCertificateOutput");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var InvalidArnException_1 = require("../shapes/InvalidArnException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeCertificate = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeCertificate",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeCertificateInput_1.DescribeCertificateInput
    },
    output: {
        shape: DescribeCertificateOutput_1.DescribeCertificateOutput
    },
    errors: [
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: InvalidArnException_1.InvalidArnException
        }
    ]
};
//# sourceMappingURL=DescribeCertificate.js.map