"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetCertificateInput_1 = require("../shapes/GetCertificateInput");
var GetCertificateOutput_1 = require("../shapes/GetCertificateOutput");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var RequestInProgressException_1 = require("../shapes/RequestInProgressException");
var InvalidArnException_1 = require("../shapes/InvalidArnException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetCertificate = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetCertificate",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: GetCertificateInput_1.GetCertificateInput
    },
    output: {
        shape: GetCertificateOutput_1.GetCertificateOutput
    },
    errors: [
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: RequestInProgressException_1.RequestInProgressException
        },
        {
            shape: InvalidArnException_1.InvalidArnException
        }
    ]
};
//# sourceMappingURL=GetCertificate.js.map