"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ImportCertificateInput_1 = require("../shapes/ImportCertificateInput");
var ImportCertificateOutput_1 = require("../shapes/ImportCertificateOutput");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var LimitExceededException_1 = require("../shapes/LimitExceededException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ImportCertificate = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ImportCertificate",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ImportCertificateInput_1.ImportCertificateInput
    },
    output: {
        shape: ImportCertificateOutput_1.ImportCertificateOutput
    },
    errors: [
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: LimitExceededException_1.LimitExceededException
        }
    ]
};
//# sourceMappingURL=ImportCertificate.js.map