"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListTagsForCertificateInput_1 = require("../shapes/ListTagsForCertificateInput");
var ListTagsForCertificateOutput_1 = require("../shapes/ListTagsForCertificateOutput");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var InvalidArnException_1 = require("../shapes/InvalidArnException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListTagsForCertificate = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListTagsForCertificate",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ListTagsForCertificateInput_1.ListTagsForCertificateInput
    },
    output: {
        shape: ListTagsForCertificateOutput_1.ListTagsForCertificateOutput
    },
    errors: [
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: InvalidArnException_1.InvalidArnException
        }
    ]
};
//# sourceMappingURL=ListTagsForCertificate.js.map