"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var RemoveTagsFromCertificateInput_1 = require("../shapes/RemoveTagsFromCertificateInput");
var RemoveTagsFromCertificateOutput_1 = require("../shapes/RemoveTagsFromCertificateOutput");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var InvalidArnException_1 = require("../shapes/InvalidArnException");
var InvalidTagException_1 = require("../shapes/InvalidTagException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.RemoveTagsFromCertificate = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "RemoveTagsFromCertificate",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: RemoveTagsFromCertificateInput_1.RemoveTagsFromCertificateInput
    },
    output: {
        shape: RemoveTagsFromCertificateOutput_1.RemoveTagsFromCertificateOutput
    },
    errors: [
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: InvalidArnException_1.InvalidArnException
        },
        {
            shape: InvalidTagException_1.InvalidTagException
        }
    ]
};
//# sourceMappingURL=RemoveTagsFromCertificate.js.map