"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _CertificateStatuses_1 = require("./_CertificateStatuses");
var _Filters_1 = require("./_Filters");
exports.ListCertificatesInput = {
    type: "structure",
    required: [],
    members: {
        CertificateStatuses: {
            shape: _CertificateStatuses_1._CertificateStatuses
        },
        Includes: {
            shape: _Filters_1._Filters
        },
        NextToken: {
            shape: {
                type: "string",
                min: 1
            }
        },
        MaxItems: {
            shape: {
                type: "integer",
                min: 1
            }
        }
    }
};
//# sourceMappingURL=ListCertificatesInput.js.map