"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _DomainValidationList_1 = require("./_DomainValidationList");
exports._RenewalSummary = {
    type: "structure",
    required: ["RenewalStatus", "DomainValidationOptions", "UpdatedAt"],
    members: {
        RenewalStatus: {
            shape: {
                type: "string"
            }
        },
        DomainValidationOptions: {
            shape: _DomainValidationList_1._DomainValidationList
        },
        RenewalStatusReason: {
            shape: {
                type: "string"
            }
        },
        UpdatedAt: {
            shape: {
                type: "timestamp"
            }
        }
    }
};
//# sourceMappingURL=_RenewalSummary.js.map