import { _UnmarshalledTag } from "./_Tag";
import * as __aws_sdk_types from "@aws-sdk/types";
/**
 * ListTagsForCertificateOutput shape
 */
export interface ListTagsForCertificateOutput extends __aws_sdk_types.MetadataBearer {
    /**
     * <p>The key-value pairs that define the applied tags.</p>
     */
    Tags?: Array<_UnmarshalledTag>;
    /**
     * Metadata about the response received, including the HTTP status code, HTTP headers, and any request identifiers recognized by the SDK.
     */
    $metadata: __aws_sdk_types.ResponseMetadata;
}
