import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { AddTagsToCertificateInput } from "../types/AddTagsToCertificateInput";
import { AddTagsToCertificateOutput } from "../types/AddTagsToCertificateOutput";
import { ACMResolvedConfiguration } from "../ACMConfiguration";
export * from "../types/AddTagsToCertificateInput";
export * from "../types/AddTagsToCertificateOutput";
export * from "../types/AddTagsToCertificateExceptionsUnion";
export declare class AddTagsToCertificateCommand implements __aws_sdk_types.Command<InputTypesUnion, AddTagsToCertificateInput, OutputTypesUnion, AddTagsToCertificateOutput, ACMResolvedConfiguration, Blob> {
    readonly input: AddTagsToCertificateInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<AddTagsToCertificateInput, AddTagsToCertificateOutput, Blob>;
    constructor(input: AddTagsToCertificateInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: ACMResolvedConfiguration): __aws_sdk_types.Handler<AddTagsToCertificateInput, AddTagsToCertificateOutput>;
}
