import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ExportCertificateInput } from "../types/ExportCertificateInput";
import { ExportCertificateOutput } from "../types/ExportCertificateOutput";
import { ACMResolvedConfiguration } from "../ACMConfiguration";
export * from "../types/ExportCertificateInput";
export * from "../types/ExportCertificateOutput";
export * from "../types/ExportCertificateExceptionsUnion";
export declare class ExportCertificateCommand implements __aws_sdk_types.Command<InputTypesUnion, ExportCertificateInput, OutputTypesUnion, ExportCertificateOutput, ACMResolvedConfiguration, Blob> {
    readonly input: ExportCertificateInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ExportCertificateInput, ExportCertificateOutput, Blob>;
    constructor(input: ExportCertificateInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: ACMResolvedConfiguration): __aws_sdk_types.Handler<ExportCertificateInput, ExportCertificateOutput>;
}
