import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetCertificateInput } from "../types/GetCertificateInput";
import { GetCertificateOutput } from "../types/GetCertificateOutput";
import { ACMResolvedConfiguration } from "../ACMConfiguration";
export * from "../types/GetCertificateInput";
export * from "../types/GetCertificateOutput";
export * from "../types/GetCertificateExceptionsUnion";
export declare class GetCertificateCommand implements __aws_sdk_types.Command<InputTypesUnion, GetCertificateInput, OutputTypesUnion, GetCertificateOutput, ACMResolvedConfiguration, Blob> {
    readonly input: GetCertificateInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetCertificateInput, GetCertificateOutput, Blob>;
    constructor(input: GetCertificateInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: ACMResolvedConfiguration): __aws_sdk_types.Handler<GetCertificateInput, GetCertificateOutput>;
}
