import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ListCertificatesInput } from "../types/ListCertificatesInput";
import { ListCertificatesOutput } from "../types/ListCertificatesOutput";
import { ACMResolvedConfiguration } from "../ACMConfiguration";
export * from "../types/ListCertificatesInput";
export * from "../types/ListCertificatesOutput";
export * from "../types/ListCertificatesExceptionsUnion";
export declare class ListCertificatesCommand implements __aws_sdk_types.Command<InputTypesUnion, ListCertificatesInput, OutputTypesUnion, ListCertificatesOutput, ACMResolvedConfiguration, Blob> {
    readonly input: ListCertificatesInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListCertificatesInput, ListCertificatesOutput, Blob>;
    constructor(input: ListCertificatesInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: ACMResolvedConfiguration): __aws_sdk_types.Handler<ListCertificatesInput, ListCertificatesOutput>;
}
