"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var RemoveTagsFromCertificate_1 = require("../model/operations/RemoveTagsFromCertificate");
var RemoveTagsFromCertificateCommand = /** @class */ (function () {
    function RemoveTagsFromCertificateCommand(input) {
        this.input = input;
        this.model = RemoveTagsFromCertificate_1.RemoveTagsFromCertificate;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    RemoveTagsFromCertificateCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return RemoveTagsFromCertificateCommand;
}());
exports.RemoveTagsFromCertificateCommand = RemoveTagsFromCertificateCommand;
//# sourceMappingURL=RemoveTagsFromCertificateCommand.js.map