import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { RequestCertificateInput } from "../types/RequestCertificateInput";
import { RequestCertificateOutput } from "../types/RequestCertificateOutput";
import { ACMResolvedConfiguration } from "../ACMConfiguration";
export * from "../types/RequestCertificateInput";
export * from "../types/RequestCertificateOutput";
export * from "../types/RequestCertificateExceptionsUnion";
export declare class RequestCertificateCommand implements __aws_sdk_types.Command<InputTypesUnion, RequestCertificateInput, OutputTypesUnion, RequestCertificateOutput, ACMResolvedConfiguration, Blob> {
    readonly input: RequestCertificateInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<RequestCertificateInput, RequestCertificateOutput, Blob>;
    constructor(input: RequestCertificateInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: ACMResolvedConfiguration): __aws_sdk_types.Handler<RequestCertificateInput, RequestCertificateOutput>;
}
