import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ResendValidationEmailInput } from "../types/ResendValidationEmailInput";
import { ResendValidationEmailOutput } from "../types/ResendValidationEmailOutput";
import { ACMResolvedConfiguration } from "../ACMConfiguration";
export * from "../types/ResendValidationEmailInput";
export * from "../types/ResendValidationEmailOutput";
export * from "../types/ResendValidationEmailExceptionsUnion";
export declare class ResendValidationEmailCommand implements __aws_sdk_types.Command<InputTypesUnion, ResendValidationEmailInput, OutputTypesUnion, ResendValidationEmailOutput, ACMResolvedConfiguration, Blob> {
    readonly input: ResendValidationEmailInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ResendValidationEmailInput, ResendValidationEmailOutput, Blob>;
    constructor(input: ResendValidationEmailInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: ACMResolvedConfiguration): __aws_sdk_types.Handler<ResendValidationEmailInput, ResendValidationEmailOutput>;
}
