import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { UpdateCertificateOptionsInput } from "../types/UpdateCertificateOptionsInput";
import { UpdateCertificateOptionsOutput } from "../types/UpdateCertificateOptionsOutput";
import { ACMResolvedConfiguration } from "../ACMConfiguration";
export * from "../types/UpdateCertificateOptionsInput";
export * from "../types/UpdateCertificateOptionsOutput";
export * from "../types/UpdateCertificateOptionsExceptionsUnion";
export declare class UpdateCertificateOptionsCommand implements __aws_sdk_types.Command<InputTypesUnion, UpdateCertificateOptionsInput, OutputTypesUnion, UpdateCertificateOptionsOutput, ACMResolvedConfiguration, Blob> {
    readonly input: UpdateCertificateOptionsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<UpdateCertificateOptionsInput, UpdateCertificateOptionsOutput, Blob>;
    constructor(input: UpdateCertificateOptionsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: ACMResolvedConfiguration): __aws_sdk_types.Handler<UpdateCertificateOptionsInput, UpdateCertificateOptionsOutput>;
}
