"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ExportCertificateInput_1 = require("../shapes/ExportCertificateInput");
var ExportCertificateOutput_1 = require("../shapes/ExportCertificateOutput");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var RequestInProgressException_1 = require("../shapes/RequestInProgressException");
var InvalidArnException_1 = require("../shapes/InvalidArnException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ExportCertificate = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ExportCertificate",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ExportCertificateInput_1.ExportCertificateInput
    },
    output: {
        shape: ExportCertificateOutput_1.ExportCertificateOutput
    },
    errors: [
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: RequestInProgressException_1.RequestInProgressException
        },
        {
            shape: InvalidArnException_1.InvalidArnException
        }
    ]
};
//# sourceMappingURL=ExportCertificate.js.map