"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListCertificatesInput_1 = require("../shapes/ListCertificatesInput");
var ListCertificatesOutput_1 = require("../shapes/ListCertificatesOutput");
var InvalidArgsException_1 = require("../shapes/InvalidArgsException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListCertificates = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListCertificates",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ListCertificatesInput_1.ListCertificatesInput
    },
    output: {
        shape: ListCertificatesOutput_1.ListCertificatesOutput
    },
    errors: [
        {
            shape: InvalidArgsException_1.InvalidArgsException
        }
    ]
};
//# sourceMappingURL=ListCertificates.js.map