"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var RenewCertificateInput_1 = require("../shapes/RenewCertificateInput");
var RenewCertificateOutput_1 = require("../shapes/RenewCertificateOutput");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var InvalidArnException_1 = require("../shapes/InvalidArnException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.RenewCertificate = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "RenewCertificate",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: RenewCertificateInput_1.RenewCertificateInput
    },
    output: {
        shape: RenewCertificateOutput_1.RenewCertificateOutput
    },
    errors: [
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: InvalidArnException_1.InvalidArnException
        }
    ]
};
//# sourceMappingURL=RenewCertificate.js.map