"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ResendValidationEmailInput_1 = require("../shapes/ResendValidationEmailInput");
var ResendValidationEmailOutput_1 = require("../shapes/ResendValidationEmailOutput");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var InvalidStateException_1 = require("../shapes/InvalidStateException");
var InvalidArnException_1 = require("../shapes/InvalidArnException");
var InvalidDomainValidationOptionsException_1 = require("../shapes/InvalidDomainValidationOptionsException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ResendValidationEmail = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ResendValidationEmail",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ResendValidationEmailInput_1.ResendValidationEmailInput
    },
    output: {
        shape: ResendValidationEmailOutput_1.ResendValidationEmailOutput
    },
    errors: [
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: InvalidStateException_1.InvalidStateException
        },
        {
            shape: InvalidArnException_1.InvalidArnException
        },
        {
            shape: InvalidDomainValidationOptionsException_1.InvalidDomainValidationOptionsException
        }
    ]
};
//# sourceMappingURL=ResendValidationEmail.js.map