"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UpdateCertificateOptionsInput_1 = require("../shapes/UpdateCertificateOptionsInput");
var UpdateCertificateOptionsOutput_1 = require("../shapes/UpdateCertificateOptionsOutput");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var LimitExceededException_1 = require("../shapes/LimitExceededException");
var InvalidStateException_1 = require("../shapes/InvalidStateException");
var InvalidArnException_1 = require("../shapes/InvalidArnException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdateCertificateOptions = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdateCertificateOptions",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: UpdateCertificateOptionsInput_1.UpdateCertificateOptionsInput
    },
    output: {
        shape: UpdateCertificateOptionsOutput_1.UpdateCertificateOptionsOutput
    },
    errors: [
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: LimitExceededException_1.LimitExceededException
        },
        {
            shape: InvalidStateException_1.InvalidStateException
        },
        {
            shape: InvalidArnException_1.InvalidArnException
        }
    ]
};
//# sourceMappingURL=UpdateCertificateOptions.js.map