"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ImportCertificateInput = {
    type: "structure",
    required: ["Certificate", "PrivateKey"],
    members: {
        CertificateArn: {
            shape: {
                type: "string",
                min: 20
            }
        },
        Certificate: {
            shape: {
                type: "blob"
            }
        },
        PrivateKey: {
            shape: {
                type: "blob",
                sensitive: true
            }
        },
        CertificateChain: {
            shape: {
                type: "blob"
            }
        }
    }
};
//# sourceMappingURL=ImportCertificateInput.js.map