"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _ValidationEmailList_1 = require("./_ValidationEmailList");
var _ResourceRecord_1 = require("./_ResourceRecord");
exports._DomainValidation = {
    type: "structure",
    required: ["DomainName"],
    members: {
        DomainName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        ValidationEmails: {
            shape: _ValidationEmailList_1._ValidationEmailList
        },
        ValidationDomain: {
            shape: {
                type: "string",
                min: 1
            }
        },
        ValidationStatus: {
            shape: {
                type: "string"
            }
        },
        ResourceRecord: {
            shape: _ResourceRecord_1._ResourceRecord
        },
        ValidationMethod: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=_DomainValidation.js.map